> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gp.scale.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Evaluation Metrics



## OpenAPI

````yaml https://app.stainlessapi.com/api/spec/documented/sgp/openapi.yml get /v4/evaluations/{evaluation_id}/evaluation-metrics
openapi: 3.1.0
info:
  title: EGP API V4
  description: >-
    This is the parent API for all EGP APIs. If you are looking for the EGP API,
    please go to https://api.egp.scale.com/docs.
  contact:
    name: Scale Generative AI Platform
    url: https://scale.com/genai-platform
  version: 0.1.0
servers:
  - url: https://api.egp.scale.com
security: []
tags:
  - name: Models
    description: Model API.
paths:
  /v4/evaluations/{evaluation_id}/evaluation-metrics:
    get:
      tags:
        - Evaluations
      summary: Get Evaluation Metrics
      operationId: GET-V4-/evaluation-metrics
      parameters:
        - name: evaluation_id
          in: path
          required: true
          schema:
            type: string
            title: Evaluation Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EvaluationMetricsResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      x-codeSamples:
        - lang: Python
          source: |-
            import os
            from scale_gp import SGPClient

            client = SGPClient(
                api_key=os.environ.get("SGP_API_KEY"),  # This is the default and can be omitted
            )
            evaluation_metrics = client.evaluations.evaluation_metrics.retrieve(
                "evaluation_id",
            )
            print(evaluation_metrics.evaluation_id)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/stainless-sdks/sgp-go\"\n\t\"github.com/stainless-sdks/sgp-go/option\"\n)\n\nfunc main() {\n\tclient := sgp.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tevaluationMetrics, err := client.Evaluations.EvaluationMetrics.Get(context.TODO(), \"evaluation_id\")\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", evaluationMetrics.EvaluationID)\n}\n"
components:
  schemas:
    EvaluationMetricsResponse:
      properties:
        evaluation_id:
          type: string
          title: Evaluation Id
          description: The ID of the evaluation.
        num_total_test_cases:
          type: integer
          title: Num Total Test Cases
          description: Total number of test cases.
        num_test_cases_labeled:
          type: integer
          title: Num Test Cases Labeled
          description: Number of test cases labeled.
        num_test_cases_flagged:
          type: integer
          title: Num Test Cases Flagged
          description: Number of test cases flagged.
        num_test_cases_fixed:
          type: integer
          title: Num Test Cases Fixed
          description: Number of test cases fixed.
        percentage_test_cases_fixed:
          type: number
          title: Percentage Test Cases Fixed
          description: Percentage of test cases that were fixed.
        num_test_cases_unaudited:
          type: integer
          title: Num Test Cases Unaudited
          description: Number of test cases unaudited.
        percentage_test_cases_unaudited:
          type: number
          title: Percentage Test Cases Unaudited
          description: Percentage of test cases that were unaudited.
        num_test_cases_approved:
          type: integer
          title: Num Test Cases Approved
          description: Number of test cases approved.
        percentage_test_cases_approved:
          type: number
          title: Percentage Test Cases Approved
          description: Percentage of test cases that were approved.
        avg_labeling_time_per_test_case:
          type: number
          title: Avg Labeling Time Per Test Case
          description: Average time spent labeling per test case in seconds.
        avg_num_test_cases_labeled_per_day:
          type: number
          title: Avg Num Test Cases Labeled Per Day
          description: Average number of test cases labeled per day.
      type: object
      required:
        - evaluation_id
        - num_total_test_cases
        - num_test_cases_labeled
        - num_test_cases_flagged
        - num_test_cases_fixed
        - percentage_test_cases_fixed
        - num_test_cases_unaudited
        - percentage_test_cases_unaudited
        - num_test_cases_approved
        - percentage_test_cases_approved
        - avg_labeling_time_per_test_case
        - avg_num_test_cases_labeled_per_day
      title: EvaluationMetricsResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
          additionalProperties: true
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````